package eu.jonahbauer.raytracing.math;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class RayTest {

    @Test
    void at() {
        var origin = new Vec3(0, 0, 0);
        var direction = new Vec3(1, 2, 3);
        var ray = new Ray(origin, direction);
        assertEquals(new Vec3(5, 10, 15), ray.at(5));
    }
}